<template lang="pug">
.dropdown.pt-1(v-if='!$butils.isEmpty(actions)')
  button.w-100.btn.btn-outline-secondary.btn-sm.dropdown-toggle(type='button' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false')
    | {{ title }}
    span.sr-only Toggle Dropdown
  .dropdown-menu
    .dropdown-item.x-action.clickable(v-for='act in actions' :key='act.name' @click='$emit("run-action", act)')
      | {{ act.name }}
</template>

<script>

export { default } from './ActionList.vue.js';

</script>

<style>
</style>
